<?php
namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreFormTeamLeader extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request

     * @return array
     */
    public function rules()
    {
        return [
            'profile_id' => ['required'],
            'taskdataid'=>['required'],
            'description'=>['required'],
            'title'=>['required'],
            'pipeline' => ['required']

        ];
    }


    public function messages()
    {
        return [
            'profile_id.required' => ' Seleccione Perfil relacionado a la tarea.',
            'taskdataid.required' =>'Debe elegir una tarea',
            'description.required'=>'El campo Descripción es requerido.',
            'title.required'=>'El campo Título es requerido.',
            'pipeline.required'=>'Seleccione Línea de producción.'
        ];
    }

}
